Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g (9.0.4) B10387-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.dbutil
Class ConnCacheBean

    java.lang.Object
      |
      +--oracle.jdbc.pool.OracleDataSource
            |
            +--oracle.jdbc.pool.OracleConnectionCacheImpl
                  |
                  +--oracle.jsp.dbutil.ConnCacheBean

All Implemented Interfaces:
  javax.sql.DataSource, java.util.EventListener, JspScopeListener, oracle.jdbc.pool.OracleConnectionCache, javax.naming.Referenceable, java.io.Serializable

public class ConnCacheBean
extends oracle.jdbc.pool.OracleConnectionCacheImpl
implements JspScopeListener

Bean for Connection Cache based in Oracle JDBC 2.0 Connection Caching

- User - user name for connection
- Password password for connection
- URL URL for database connection
- MaxLimit Set the maximum no of connections for the Cache
- MinLimit Set the minimum no of connections for the Cache
- CacheScheme Set the Cache Scheme

Possible values for Scheme are :

- DYNAMIC_SCHEME
- FIXED_WAIT_SCHEME
- FIXED_RETURN_NULL_SCHEME
  See Also:
    Serialized Form

  Field Summary
  `static int` | `DYNAMIC_SCHEME`
  `static int` | `FIXED_RETURN_NULL_SCHEME`
  `static int` | `FIXED_WAIT_SCHEME`

  Fields inherited from class oracle.jdbc.pool.OracleConnectionCacheImpl
  `_DEFAULT_MAX_LIMIT, _DEFAULT_MIN_LIMIT, _MAX_LIMIT, _MIN_LIMIT, DEFAULT_CACHE_TIMEOUT, DEFAULT_FIXED_WAIT_IDLE_TIME, DEFAULT_THREAD_INTERVAL, m_activeSize, m_cacheFixedWaitTimeOut, m_cacheInactivityTimeOut, m_cacheScheme, m_cacheSize, m_cacheTTLTimeOut, m_cleanupInterval, m_cpds, m_fatalErrorCodes, m_fixedWaitIdleTime, m_ocel, m_stmtCacheSize, m_stmtClearMetaData, m_threadInterval, m_timeOutThread, ORAERROR_END_OF_FILE_ON_COM_CHANNEL, ORAERROR_IMMEDIATE_SHUTDOWN_IN_PROGRESS, ORAERROR_INIT_SHUTDOWN_IN_PROGRESS, ORAERROR_NET_IO_EXCEPTION, ORAERROR_NOT_CONNECTED_TO_ORACLE, ORAERROR_ORACLE_NOT_AVAILABLE, ORAERROR_SHUTDOWN_IN_PROGRESS_NO_CONN`

  Fields inherited from class oracle.jdbc.pool.OracleDataSource
  `m_connectionProperties, m_databaseName, m_dataSourceName, m_description, m_driverType, m_networkProtocol, m_od, m_password, m_portNumber, m_pw, m_serverName, m_serviceName, m_timeout, m_tnsentry, m_url, m_user`

  Constructor Summary
  `ConnCacheBean()`

  Method Summary
  `void` | `outOfScope(JspScopeEvent ae)` Invoked when a JSP scope that this object is attached to is ending.

  Methods inherited from class oracle.jdbc.pool.OracleConnectionCacheImpl
  `clearWarnings, close, closeActualConnection, closeConnections, closePooledConnection, closeSingleConnection, getActiveSize, getCacheFixedWaitIdleTime, getCacheFixedWaitTimeout, getCacheInactivityTimeout, getCacheScheme, getCacheSize, getCacheTimeToLiveTimeout, getConnection, getConnection, getConnectionCleanupInterval, getConnectionErrorCodes, getMaxLimit, getMinLimit, getPooledConnection, getReference, getStmtCacheSize, getThreadWakeUpInterval, getWarnings, isFatalConnectionError, reusePooledConnection, setCacheFixedWaitIdleTime, setCacheFixedWaitTimeout, setCacheInactivityTimeout, setCacheScheme, setCacheScheme, setCacheTimeToLiveTimeout, setConnectionCleanupInterval, setConnectionErrorCodes, setConnectionPoolDataSource, setMaxLimit, setMinLimit, setStmtCacheSize, setStmtCacheSize, setThreadWakeUpInterval`

  Methods inherited from class oracle.jdbc.pool.OracleDataSource
  `addRefProperties, getConnectionProperties, getDatabaseName, getDataSourceName, getDescription, getDriverType, getLoginTimeout, getLogWriter, getNetworkProtocol, getPassword, getPortNumber, getServerName, getServiceName, getTNSEntryName, getURL, getUser, setConnectionProperties, setDatabaseName, setDataSourceName, setDescription, setDriverType, setLoginTimeout, setLogWriter, setNetworkProtocol, setPassword, setPortNumber, setServerName, setServiceName, setTNSEntryName, setURL, setUser, trace`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Methods inherited from interface javax.sql.DataSource
  `getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

  Field Detail

  ### DYNAMIC_SCHEME

      public static final int DYNAMIC_SCHEME

    See Also:
      Constant Field Values

  ### FIXED_WAIT_SCHEME

      public static final int FIXED_WAIT_SCHEME

    See Also:
      Constant Field Values

  ### FIXED_RETURN_NULL_SCHEME

      public static final int FIXED_RETURN_NULL_SCHEME

    See Also:
      Constant Field Values

  Constructor Detail

  ### ConnCacheBean

      public ConnCacheBean()
                    throws java.sql.SQLException

  Method Detail

  ### outOfScope

      public void outOfScope(JspScopeEvent ae)

    Description copied from interface: `JspScopeListener`
    Invoked when a JSP scope that this object is attached to is ending.
    Specified by:
      `outOfScope` in interface `JspScopeListener`

  Overview | Package | Class | Tree | Deprecated | Index | Help
  | Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g (9.0.4) B10387-01
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © YYYY, Oracle. All Rights Reserved.